#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_GuideCFGData
{
	//ID
	int mID;
	//名字
	std::string mName;
	//需要等级
	int mNeedLevel;
	//提示信息
	std::string mTipsInfo;
};

class Fish_GuideCFG
{
public:
private:
	static std::auto_ptr<Fish_GuideCFG> msSingleton;
public:
	int GetCount();
	const Fish_GuideCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_GuideCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_GuideCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_GuideCFGData> mMapData;
};
